## unison-2.53 2.53.5

=== debian/changelog ===
unison-2.53 (2.53.5-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 31 Jul 2024 16:07:51 +0200
