=== man/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 -include ../src/Makefile.ProjectInfo
 
-all:: $(NAME).1
+all: $(NAME).1
 
 ../src/$(NAME)$(EXEC_EXT):
-	$(MAKE) -C ../src UISTYLE=text
+	$(MAKE) -C ../src tui
 
 $(NAME).1: $(NAME).1.in opt_short.tmp opt_full.tmp
 	sed -e '/@OPTIONS_SHORT@/r ./opt_short.tmp' \
@@ -18,5 +18,5 @@
 opt_full.tmp: ../src/$(NAME)$(EXEC_EXT)
 	../src/$(NAME)$(EXEC_EXT) -prefsman full > opt_full.tmp
 
-clean::
+clean:
 	$(RM) *.tmp $(NAME).1
