=== src/fsmonitor/inotify/Makefile ===
FSMOCAMLOBJS = \
   lwt/lwt.cmo lwt/pqueue.cmo lwt/generic/lwt_unix_impl.cmo lwt/lwt_unix.cmo \
   $(FSMDIR)/inotify.cmo $(FSMDIR)/lwt_inotify.cmo \
   fsmonitor/watchercommon.cmo $(FSMDIR)/watcher.cmo
FSMCOBJS = \
  $(FSMDIR)/inotify_stubs.o
FSMOCAMLLIBS=unix.cma
