=== debian/changelog ===
unison-2.53 (2.53.7-2) unstable; urgency=medium

  * Synchronize debian/control.in with debian/control

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jan 2025 12:42:31 +0100

unison-2.53 (2.53.7-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jan 2025 11:19:32 +0100
