=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  librsvg2-bin,
  imagemagick,
  dh-ocaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/unison.git -b 2.53/debian
 Vcs-Browser: https://salsa.debian.org/ocaml-team/unison/-/tree/2.53/debian
