=== debian/rules ===
--- 
+++ 
@@ -67,15 +67,15 @@
 
 unison-text:
 	$(MAKE) clean
-	$(MAKE) -C src UISTYLE=text NATIVE=$(NATIVE) CFLAGS=
+	$(MAKE) -C src tui NATIVE=$(NATIVE) CFLAGS=
 	cp src/unison $@
-	$(MAKE) manpage UISTYLE=text NATIVE=$(NATIVE) CFLAGS=
+	$(MAKE) manpage NATIVE=$(NATIVE) CFLAGS=
 	cp man/unison.1 .
 
 unison-gtk:
 	$(MAKE) clean
-	$(MAKE) -C src UISTYLE=gtk3 NATIVE=$(NATIVE) CFLAGS=
-	cp src/unison $@
+	$(MAKE) -C src gui NATIVE=$(NATIVE) CFLAGS=
+	cp src/unison-gui $@
 
 unison-manual.txt: unison-text
 	./unison-text -doc all > $@
