=== debian/watch ===
version=4
https://github.com/bcpierce00/unison/tags .*/v([0-9.]*)\.tar\.gz
