## unison-2.53 2.53.8

=== debian/changelog ===
unison-2.53 (2.53.8-1) unstable; urgency=medium

  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Mon, 01 Dec 2025 10:18:23 +0100
