=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
  librsvg2-bin,
  imagemagick,
  dh-ocaml
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ocaml-team/unison.git -b 2.53/debian
 Vcs-Browser: https://salsa.debian.org/ocaml-team/unison/-/tree/2.53/debian
 Homepage: http://www.cis.upenn.edu/~bcpierce/unison/
