=== debian/watch ===
Version: 5

Source: https://github.com/bcpierce00/unison/tags
Matching-Pattern: .*/v@ANY_VERSION@\.tar\.gz
